---
title: "LyX: редактирование ЕСПД"
category: LaTeX
tags: LaTeX, текст, LyX,
summary:
...


Установить пакеты:

```sh
sudo apt-get install lyx texlive-xetex
```

Установить стили LaTeX для ЕСПД:

```
git clone https://git.246060.ru/f1x1t/latex-style-esdpx ~/texmf/tex/latex/espdx
```

Установить шаблоны для LyX:

```
git clone https://git.246060.ru:/f1x1t/lyx-layout-espdx.git ~/.lyx/layouts
```

Запустить LyX и в меню __Инструменты__ выбрать __Обновить конфигурацию__
и перезапустить программу.

Скачать [шаблон](files/espdx-template.lyx) для LyX, открыть файл
**espdx-template.lyx** и в меню выбрать __Документ / Настройки...__.
В появившемся окне нажать кнопку __Сохранить как параметры документа по умолчанию__.

Пример настройки:

![Класс документа](images/lyx-espdx/01.png)
Класс документа
{: .img-center }

![Модули](images/lyx-espdx/02.png)
Модули
{: .img-center }

![Шрифты](images/lyx-espdx/03.png)
Шрифты
{: .img-center }

![Макет текста](images/lyx-espdx/04.png)
Макет текста
{: .img-center }

![Макет страницы](images/lyx-espdx/05.png)
Макет страницы
{: .img-center }

![Поля страницы](images/lyx-espdx/06.png)
Поля страницы
{: .img-center }

![Язык](images/lyx-espdx/07.png)
Язык
{: .img-center }

![Нумерация и содержание](images/lyx-espdx/08.png)
Нумерация и содержание
{: .img-center }

![Библиография](images/lyx-espdx/09.png)
Библиография
{: .img-center }

![Предметный указатель](images/lyx-espdx/10.png)
Предметный указатель
{: .img-center }

![Свойства PDF / Общие](images/lyx-espdx/11.png)
Свойства PDF / Общие
{: .img-center }

![Свойства PDF / Гиперссылки](images/lyx-espdx/12.png)
Свойства PDF / Гиперссылки
{: .img-center }

![Свойства PDF / Закладки](images/lyx-espdx/13.png)
Свойства PDF / Закладки
{: .img-center }

![Параметры математики](images/lyx-espdx/14.png)
Параметры математики
{: .img-center }

![Размещение плавающих объектов](images/lyx-espdx/15.png)
Размещение плавающих объектов
{: .img-center }

![Форматы](images/lyx-espdx/16.png)
Форматы
{: .img-center }

![Преамбула LaTeX](images/lyx-espdx/17.png)
Преамбула LaTeX
{: .img-center }


